@use '@experiments-labs/rise_ui/src/stylesheets/core';

:root {

  // Pixels represents the search area
  --inventory-menu-height: calc(var(--garden-view-height) - var(--spacer-default) - var(--tabs-height) - 45px);

  // Pixels represent the title/description area
  --inventory-patches-view-height: calc(var(--garden-view-height) - var(--tabs-height) - 83px);
}

.gpa-inventory {
  display: flex;

  &__panel {
    width: 100vw;
    flex: none;
    padding-top: var(--spacer-default);

    // List of entries, under the tabs and search area
    &__content {
      $height: var(--inventory-menu-height);

      height: $height;
      max-height: $height;
      padding: 0 var(--spacer-default);
      overflow-y: auto;
    }

    @include core.respond-to('medium-up') {
      width: auto;
      max-width: var(--panel-width);
    }
  }

  &__view {
    $height:var(--garden-view-height);

    height: $height;
    max-height: $height;
    flex-grow: 1;
    border-left: 1px solid var(--border-color);
    overflow-y: auto;
  }

  // Sub view for patches
  &--patches {
    $height: var(--inventory-patches-view-height);

    gap: 0;

    .gpa-inventory {
      &__panel__content {
        height: $height;
        max-height: $height;
      }

      &__view {
        height: $height;
        max-height: $height;
      }
    }
  }
}
